%global momorel 1
%global md5sum_src0 8a91c4bc342dca2ddf9f620af24fc5e7

Name: quota
Summary: System administration tools for monitoring users' disk usage.
Version: 3.13
Release: %{momorel}m
%NoSource 0 http://dl.sourceforge.net/sourceforge/linuxquota/%{name}-%{version}.tar.gz %{md5sum_src0}
Source1: quotatab.sample
Source2: quotagrpadmins.sample
License: BSD
Group: System Environment/Base
Requires: initscripts
BuildPreReq: e2fsprogs-devel perl gettext
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://sourceforge.net/projects/linuxquota/

Patch0:	quota-3.06-warnquota.patch
Patch1: quota-3.06-no-stripping.patch
Patch2: quota-3.06-man-page.patch
Patch3: quota-3.06-pie.patch

%description
The quota package contains system administration tools for monitoring
and limiting users' and or groups' disk usage, per filesystem.

Install quota if you want to monitor and/or limit user/group disk
usage.

%prep
%setup -q -n quota-tools
%patch2 -p1

%build
%ifarch x86_64
%configure --with-ext2direct=no
%else
%configure
%endif
make

%install
rm -fr %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/{man1,man2,man3,man8}

%makeinstall root_sbindir=%{buildroot}%{_sbindir} DEF_BIN_MODE=0555 
%{__install} -c -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/
%{__install} -c -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/

# remove unpackaged files.
rm -f %{buildroot}/etc/quotagrpadmins
rm -f %{buildroot}/etc/quotagrpadmins.sample
rm -f %{buildroot}/etc/quotatab
rm -f %{buildroot}/etc/quotatab.sample

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc Changelog doc/*
%config(noreplace) %{_sysconfdir}/warnquota.conf
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man2/*
%{_mandir}/man3/*
%{_mandir}/man8/*
%{_includedir}/rpcsvc/*
%{_datadir}/locale/*/LC_MESSAGES/quota.mo

%changelog
* Sun Jun  4 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.13-1m)
- update to 3.13

* Sat Mar 12 2005 Yasuo Ohgaki <yoghaki@momonga-linux.org>
- (3.12-1m)
- sync with FC3

* Thu Feb  3 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.11-4m)
- enable x86_64.

* Wed Mar 31 2004 Toru Hoshina <t@momonga-linux.org>
- (3.11-3m)
- revised spec. rpc.rquotad belongs quota package.

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (3.11-2m)
- revised spec for rpm 4.2.

* Thu Feb 19 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.11-1m)
- update to 3.11
- add quotagrpadmins.sample
- add quotatab.sample

* Tue Mar 11 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.08-1m)
- version up to 3.08
- add URL
- move binary in /sbin to %%{_sbindir} (catch up changes of tarball)
- generalize listing quota.mo at files section, but now pl only

* Sun Aug  4 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.06-2m)
- remove ppc specific parts

* Sat Jul 20 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.06-1m)
- update to 3.06
- add some file to %files

* Sun May 12 2002 Toru Hoshina <t@kondara.org>
- (3.05-2k)
- ver up.

* Fri Nov 16 2001 Kazuhiko <kazuhiko@kondara.org>
- (3.01-8k)
- add documents

* Sun Nov  4 2001 Toru Hoshina <t@kondara.org>
- (3.01-6k)
- rebuild against new environment. because gcc 2.95.3 doesn't recognize
  -fno-merge-constants, use gcc_2_95_3 instead of gcc -V 2.95.3.

* Wed Oct 24 2001 Toru Hsohina <t@kondara.org>
- (3.01-4k)
- PPC needs -D__BYTEORDER_HAS_U64__ ?

* Fri Oct 19 2001 Toru Hoshina <t@kondara.org>
- (3.01-2k)
- merge from Jirai.
- avoid conflict with nfs-utils.

* Thu Oct 04 2001 Motonobu Ichimura <famao@kondara.org>
- (3.01-3k)
- up to 3.01-final

* Thu Oct 04 2001 Motonobu Ichimura <famao@kondara.org>
- (3.01-0.000907k)
- xfs enabled

* Wed Jun 20 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0-2k)
- update to quota-2.00 release.
- changed to use "configure"
- RedHat patches is disabled (for merged to original tree)
- rework quota-misc.patch for rpm building
- fixed /usr/bin/vi to /bin/vi (quota-toriaezu.patch)

* Wed Apr 18 2001 Daiki Matsuda <dyky@df-usa.com>
- (2.0-0.0003004k)
- fixed for ppc to use gcc2.95.3

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 15 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Wed May 10 2000 Jeff Johnson <jbj@redhat.com>
- apply patch5 (H.J. Lu)

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- man pages are compressed

* Tue Jan 18 2000 Preston Brown <pbrown@redhat.com>
- quota 2.00 series
- removed unnecessary patches

* Thu Aug  5 1999 Jeff Johnson <jbj@redhat.com>
- fix man page FUD (#4369).

* Thu May 13 1999 Peter Hanecak <hanecak@megaloman.sk>
- changes to allow non-root users to build too (Makefile patch, %attr)

* Tue Apr 13 1999 Jeff Johnson <jbj@redhat.com>
- fix for sparc64 quotas (#2147)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Mon Dec 28 1998 Cristian Gafton <gafton@redhat.com>
- don't install rpc.rquotad - we will use the one from the knfsd package
  instead

* Thu Dec 17 1998 Jeff Johnson <jbj@redhat.com>
- merge ultrapenguin 1.1.9 changes.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- removed patch for mntent

* Fri Mar 27 1998 Jakub Jelinek <jj@ultra.linux.cz>
- updated to quota 1.66

* Tue Jan 13 1998 Erik Troan <ewt@redhat.com>
- builds rquotad
- installs rpc.rquotad.8 symlink

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- removed /usr/include/rpcsvc/* from filelist
- uses a buildroot and %attr

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Moved /usr/sbin/quota to /usr/bin/quota
